# Componere\Definition::addProperty

(Componere 2 >= 2.1.0)

Componere\Definition::addProperty — Add Property

### 说明

public Componere\Definition::addProperty(string `$name`, Componere\Value `$value`): Definition

Shall declare a class property on the current Definition

### 参数

`name`
  The case sensitive name for the property
`value`
  The default Value for the property

### 返回值

The current Definition

### Exceptions

警告

Shall throw RuntimeException if Definition was registered

警告

Shall throw RuntimeException if `name` is already declared as a property

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open